﻿Imports Microsoft.Phone.Controls

Namespace Charmed.Sample.Common
	Public MustInherit Class NavigationAwarePage
		Inherits PhoneApplicationPage
		Protected Overrides Sub OnNavigatedTo(ByVal e As System.Windows.Navigation.NavigationEventArgs)
			Dim viewModel = TryCast(Me.DataContext, ViewModelBase)
			If viewModel IsNot Nothing Then
                Dim serializedParameter As String = ""
				If Not NavigationContext.QueryString.TryGetValue("parameter", serializedParameter) Then
					serializedParameter = Nothing
				End If

				viewModel.LoadState(serializedParameter, Nothing)
			End If
		End Sub

		Protected Overrides Sub OnNavigatedFrom(ByVal e As System.Windows.Navigation.NavigationEventArgs)
			Dim viewModel = TryCast(Me.DataContext, ViewModelBase)
			If viewModel IsNot Nothing Then
				viewModel.SaveState(Nothing)
			End If
		End Sub
	End Class
End Namespace
