﻿Imports System

Namespace Charmed.Sample.Tests.Mocks
    Public Class NavigatorMock
        Implements INavigator
        Public ReadOnly Property CanGoBack As Boolean Implements INavigator.CanGoBack
            Get
                Return True
            End Get
        End Property

        Public Property GoBackDelegate As Action
        Public Sub GoBack() Implements INavigator.GoBack
            If Me.GoBackDelegate IsNot Nothing Then
                Me.GoBackDelegate()()
            End If
        End Sub

        Public Property NavigateToViewModelDelegate As Action(Of Type, Object)
        Public Sub NavigateToViewModel(Of TViewModel)(Optional ByVal parameter As Object = Nothing) Implements INavigator.NavigateToViewModel
            If Me.NavigateToViewModelDelegate IsNot Nothing Then
                Me.NavigateToViewModelDelegate()(GetType(TViewModel), parameter)
            End If
        End Sub

#If WINDOWS_PHONE Then
		Public Property RemoveBackEntryDelegate As Action
		Public Sub RemoveBackEntry()
			If Me.RemoveBackEntryDelegate IsNot Nothing Then
				Me.RemoveBackEntryDelegate()()
			End If
		End Sub
#End If ' WINDOWS_PHONE
    End Class
End Namespace
