﻿Imports System

Namespace Charmed.Sample.Tests.Mocks
    Public Class SerializerMock
        Implements ISerializer
        Public Property DeserializeDelegate As Func(Of Type, String, Object)
        Public Function Deserialize(ByVal type As Type, ByVal data As String) As Object Implements ISerializer.Deserialize
            Return MockHelper.ExecuteDelegate(Of Type, String, Object)(Me.DeserializeDelegate, type, data)
        End Function

        Public Property DeserializeGenericDelegate As Func(Of String, Object)
        Public Function Deserialize(Of T)(ByVal data As String) As T Implements ISerializer.Deserialize
            Return CType(MockHelper.ExecuteDelegate(Of String, Object)(Me.DeserializeGenericDelegate, data), T)
        End Function

        Public Property SerializeDelegate As Func(Of Object, String)
        Public Function Serialize(ByVal instance As Object) As String Implements ISerializer.Serialize
            Return MockHelper.ExecuteDelegate(Of Object, String)(Me.SerializeDelegate, instance)
        End Function
    End Class
End Namespace
