﻿Imports Windows.UI.ApplicationSettings
Imports System
Imports System.Collections.Generic

Namespace Charmed.Sample.Tests.Mocks
    Public Class SettingsManagerMock
        Implements ISettingsManager
        Public Property InitializeDelegate As Action
        Public Sub Initialize() Implements ISettingsManager.Initialize
            If Me.InitializeDelegate IsNot Nothing Then
                Me.InitializeDelegate()()
            End If
        End Sub

        Public Property CleanupDelegate As Action
        Public Sub Cleanup() Implements ISettingsManager.Cleanup
            If Me.CleanupDelegate IsNot Nothing Then
                Me.CleanupDelegate()()
            End If
        End Sub

        Public Property OnSettingsRequested As Action(Of IList(Of SettingsCommand)) Implements ISettingsManager.OnSettingsRequested
    End Class
End Namespace
