﻿Imports Windows.ApplicationModel.DataTransfer
Imports System

Namespace Charmed.Sample.Tests.Mocks
    Public Class ShareManagerMock
        Implements IShareManager
        Public Property InitializeDelegate As Action
        Public Sub Initialize() Implements IShareManager.Initialize
            If Me.InitializeDelegate IsNot Nothing Then
                Me.InitializeDelegate()()
            End If
        End Sub

        Public Property CleanupDelegate As Action
        Public Sub Cleanup() Implements IShareManager.Cleanup
            If Me.CleanupDelegate IsNot Nothing Then
                Me.CleanupDelegate()()
            End If
        End Sub

        Public Property OnShareRequested As Action(Of DataPackage) Implements IShareManager.OnShareRequested
    End Class
End Namespace
