﻿Imports System

#If WINDOWS_PHONE Then
Imports System.Windows.Data
#Else
Imports Windows.UI.Xaml.Data
#End If ' WINDOWS_PHONE

Namespace Charmed.Converters
    ''' <summary>
    ''' Inverts a boolean value.
    ''' </summary>
    Public NotInheritable Class InverseBoolConverter
        Implements IValueConverter
#If WINDOWS_PHONE Then
        Public Function Convert(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal culture As System.Globalization.CultureInfo) As Object Implements IValueConverter.Convert
#Else
        Public Function Convert(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal language As String) As Object Implements IValueConverter.Convert
#End If ' WINDOWS_PHONE
            Return Invert(value)
        End Function

#If WINDOWS_PHONE Then
        Public Function ConvertBack(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal culture As System.Globalization.CultureInfo) As Object Implements IValueConverter.ConvertBack
#Else
        Public Function ConvertBack(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal language As String) As Object Implements IValueConverter.ConvertBack
#End If ' WINDOWS_PHONE
            Return Invert(value)
        End Function

        Private Shared Function Invert(ByVal value As Object) As Object
            Dim result As Boolean = False
            If TypeOf value Is Boolean Then
                Return Not CBool(value)
            End If

            Return result
        End Function
    End Class
End Namespace
