﻿Imports Windows.UI.Xaml
Imports Windows.UI.Xaml.Controls

Namespace Charmed.Helpers
	''' <summary>
	''' Helper class to assist with making Html content bindable on a WebView.
	''' </summary>
	Public NotInheritable Class WebViewHelper
        Public Shared ReadOnly HtmlContentProperty As DependencyProperty = DependencyProperty.RegisterAttached("HtmlContent", GetType(String), GetType(WebViewHelper), New PropertyMetadata(Nothing, New PropertyChangedCallback(Sub(sender, args)
                                                                                                                                                                                                                                     Dim webView1 As WebView = TryCast(sender, WebView)
                                                                                                                                                                                                                                     If webView1 IsNot Nothing Then
                                                                                                                                                                                                                                         webView1.NavigateToString(args.NewValue.ToString)
                                                                                                                                                                                                                                     End If
                                                                                                                                                                                                                                 End Sub)))

		Public Shared Sub SetHtmlContent(ByVal attached As WebView, ByVal htmlContent As String)
			attached.SetValue(HtmlContentProperty, htmlContent)
		End Sub

		Public Shared Function GetHtmlContent(ByVal attached As WebView) As String
			Return CStr(attached.GetValue(HtmlContentProperty))
		End Function
	End Class
End Namespace
