﻿Imports Charmed.Messaging
Imports System

Namespace Charmed.Sample.Tests.Mocks
    Public Class MessageBusMock
        Implements IMessageBus
        Public Property SubscribeDelegate As Action(Of Object)
        Public Sub Subscribe(Of TMessage)(ByVal handler As Action(Of TMessage)) Implements IMessageBus.Subscribe
            If SubscribeDelegate IsNot Nothing Then
                SubscribeDelegate()(handler)
            End If
        End Sub

        Public Property UnsubscribeDelegate As Action(Of Object)
        Public Sub Unsubscribe(Of TMessage)(ByVal handler As Action(Of TMessage)) Implements IMessageBus.Unsubscribe
            If UnsubscribeDelegate IsNot Nothing Then
                UnsubscribeDelegate()(handler)
            End If
        End Sub

        Public Property PublishDelegate As Action(Of Object)
        Public Sub Publish(Of TMessage)(ByVal message As TMessage) Implements IMessageBus.Publish
            If PublishDelegate IsNot Nothing Then
                PublishDelegate()(message)
            End If
        End Sub
    End Class
End Namespace
