﻿Imports System

Namespace Charmed.Sample.Tests.Mocks
    Public Class SettingsMock
        Implements ISettings
        Public Property AddOrUpdateDelegate As Action(Of String, Object)
        Public Sub AddOrUpdate(ByVal key As String, ByVal value As Object) Implements ISettings.AddOrUpdate
            If Me.AddOrUpdateDelegate IsNot Nothing Then
                Me.AddOrUpdateDelegate()(key, value)
            End If
        End Sub

        Public Property TryGetValueDelegate As Func(Of String, Object, Object)
        Public Function TryGetValue(Of T)(ByVal key As String, <System.Runtime.InteropServices.Out> ByRef value As T) As Boolean Implements ISettings.TryGetValue
            value = Nothing
            value = CType(MockHelper.ExecuteDelegate(Of String, Object, Object)(Me.TryGetValueDelegate, key, value), T)
            Return Not Object.Equals(value, Nothing)
        End Function

        Public Property RemoveDelegate As Func(Of String, Boolean)
        Public Function Remove(ByVal key As String) As Boolean Implements ISettings.Remove
            Return MockHelper.ExecuteDelegate(Of String, Boolean)(Me.RemoveDelegate, key)
        End Function


        Public Property ContainsKeyDelegate As Func(Of String, Boolean)
        Public Function ContainsKey(ByVal key As String) As Boolean Implements ISettings.ContainsKey
            Return MockHelper.ExecuteDelegate(Of String, Boolean)(Me.ContainsKeyDelegate, key)
        End Function
    End Class
End Namespace
