﻿Imports Microsoft.Phone.Controls
Imports System.Windows

Namespace Charmed.Helpers
    ''' <summary>
    ''' Helper class to assist with making Html content bindable on a WebBrowser.
    ''' </summary>
    Public NotInheritable Class WebBrowserHelper
        Public Shared ReadOnly HtmlContentProperty As DependencyProperty = DependencyProperty.RegisterAttached("HtmlContent",
                                                                                                               GetType(String), GetType(WebBrowserHelper), New PropertyMetadata(Nothing, New PropertyChangedCallback(Sub(sender, args)
                                                                                                                                                                                                                         Dim webBrowser1 = TryCast(sender, WebBrowser)
                                                                                                                                                                                                                         If webBrowser1 IsNot Nothing Then
                                                                                                                                                                                                                             webBrowser1.NavigateToString(args.NewValue.ToString)
                                                                                                                                                                                                                         End If
                                                                                                                                                                                                                     End Sub)))

        Public Shared Sub SetHtmlContent(ByVal attached As WebBrowser, ByVal htmlContent As String)
            attached.SetValue(HtmlContentProperty, htmlContent)
        End Sub

        Public Shared Function GetHtmlContent(ByVal attached As WebBrowser) As String
            Return CStr(attached.GetValue(HtmlContentProperty))
        End Function
    End Class
End Namespace
