﻿Imports Charmed.Helpers
Imports Microsoft.VisualStudio.TestPlatform.UnitTestFramework
Imports Microsoft.VisualStudio.TestPlatform.UnitTestFramework.AppContainer
Imports Windows.UI.Xaml.Controls
Imports System

Namespace Charmed.Tests.Helpers
    <TestClass>
    Public Class TextBoxHelperTests
        <UITestMethod>
        Public Sub BindableText()
            ' Arrange
            Dim textBox As TextBox = New TextBox()

            Dim expectedText As String = Guid.NewGuid().ToString

            ' Act
            TextBoxHelper.SetBindableText(textBox, expectedText)

            ' Assert
            Microsoft.VisualStudio.TestPlatform.UnitTestFramework.Assert.AreEqual(expectedText, textBox.Text)
        End Sub
    End Class
End Namespace
