﻿Imports Windows.UI.Xaml
Imports Windows.UI.Xaml.Controls

Namespace Charmed.Helpers
	''' <summary>
	''' Helper class to assist with binding text to a view model as soon as it changes.
	''' </summary>
	Public NotInheritable Class TextBoxHelper
        Public Shared ReadOnly BindableTextProperty As DependencyProperty = DependencyProperty.RegisterAttached("BindableText", GetType(String), GetType(TextBoxHelper), New PropertyMetadata(Nothing, New PropertyChangedCallback(Sub(sender, args)
                                                                                                                                                                                                                                       Dim textBox1 As TextBox = TryCast(sender, TextBox)
                                                                                                                                                                                                                                       If textBox1 IsNot Nothing Then
                                                                                                                                                                                                                                           textBox1.Text = CStr(args.NewValue)
                                                                                                                                                                                                                                           If textBox1.Tag Is Nothing Then
                                                                                                                                                                                                                                               textBox1.Tag = New TextBoxHelper(textBox1)
                                                                                                                                                                                                                                           End If
                                                                                                                                                                                                                                       End If
                                                                                                                                                                                                                                   End Sub)))

		Public Sub New(ByVal textBox As TextBox)
			AddHandler textBox.TextChanged, Sub(o, a) textBox.SetValue(BindableTextProperty, textBox.Text)
		End Sub

		Public Shared Sub SetBindableText(ByVal element As TextBox, ByVal value As String)
			element.SetValue(BindableTextProperty, value)
		End Sub
		Public Shared Function GetBindableText(ByVal element As TextBox) As String
			Return CStr(element.GetValue(BindableTextProperty))
		End Function
	End Class
End Namespace
