﻿Imports Windows.UI.ApplicationSettings
Imports System
Imports System.Collections.Generic

Namespace Charmed
    ''' <summary>
    ''' Interface for managing interactions with the settings charm.
    ''' </summary>
    Public Interface ISettingsManager
        ''' <summary>
        ''' Initializes the Settings Manager.
        ''' </summary>
        Sub Initialize()

        ''' <summary>
        ''' Cleans up the Settings Manager.
        ''' </summary>
        Sub Cleanup()

        ''' <summary>
        ''' Action which is called when the user has requested the settings.
        ''' </summary>
        Property OnSettingsRequested As Action(Of IList(Of SettingsCommand))
    End Interface
End Namespace
