﻿Imports Windows.ApplicationModel.DataTransfer
Imports System

Namespace Charmed
    ''' <summary>
    ''' Interface for managing interactions with the share charm.
    ''' </summary>
    Public Interface IShareManager
        ''' <summary>
        ''' Initializes the Share Manager.
        ''' </summary>
        Sub Initialize()

        ''' <summary>
        ''' Cleans up the Share Manager.
        ''' </summary>
        Sub Cleanup()

        ''' <summary>
        ''' Action which is called when the user has requested to share.
        ''' </summary>
        Property OnShareRequested As Action(Of DataPackage)
    End Interface
End Namespace
